CREATE TABLE hwm_tm_atrb_flds_b] (
    TM_ATRB_FLD_ID           NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    MODULE_ID                VARCHAR2(128) ,
    TCSMRS_ID                NUMBER(18, 0) ,
    NAME                     VARCHAR2(960)     NOT NULL,
    CLASS                    VARCHAR2(128)     NOT NULL,
    PARENT_TM_ATRB_FLD_ID    NUMBER(18, 0) ,
    VALUE_LOCATION           VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY       VARCHAR2(256) ,
    ALLOWED_SCOPE            VARCHAR2(128) ,
    MANDATORY_FOR_TCSMRS     VARCHAR2(80)  ,
    ATTRIBUTE_TYPE           VARCHAR2(80)  ,
    VALUE_SET_ID             NUMBER(18, 0) ,
    COMP_DISP_CODE           VARCHAR2(320) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    GLOBAL_TM_ATRB_FLD_ID    NUMBER(18, 0) ,
    ATTRIBUTE_GROUP          VARCHAR2(128) ,
    BASE_UNIT                VARCHAR2(64)  ,
    UOM_TYPE                 VARCHAR2(128) ,
    UOM_BEHAVIOR             VARCHAR2(128) ,
    UOM_UNIT                 VARCHAR2(128) ,
    UOM_CODE                 VARCHAR2(64)  ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    SGUID                    VARCHAR2(128) ,
    STORAGE_TYPE             NUMBER(9, 0)  ,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL
);
